<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
    <script>
        /*Создать объект "Документ", в котором определить свойства "Заголовок, тело, футер, дата". Создать в объекте вложенный объект - "Приложение". Создать в объекте "Приложение", вложенные объекты, "Заголовок, тело, футер, дата". Создать методы для заполнения и отображения документа.*/

        //Создаём объект в который определяем нужные свойства
        const myDocument = {
            data: "",
            header: "",
            body: "",
            //в объекте "документ" создаем вложенный объект со своими свойствами
            application: {
                appData: "",
                appHeader: "",
                appBody: "",
                appFooter: ""
            },
            footer: "",
            //создаем метод который циклом будет спрашивать у пользователя что бы он хотел ввести в тот или иной элемент объекта. не затрагивая сами методы (так как они тоже являются элементами объекта и подпадают под цикл)
            ask: function() {
                for( let element in myDocument) {
                    if ( myDocument[element] === "") {
                    this[element] = prompt("Напишите что-нибудь в " + element)
                    }
                }
                for ( let element in myDocument.application) {
                    this[element] = prompt("Напишите что-нибудь в " + element)
                }
            },
            //создаем метод который будет выводить полученные от пользователя данные... не смог почему-то сделать это дело циклом. =(
            show: function() {
                document.write(`В "data" Вы записали следующее: ${this.data} <br />`);
                document.write(`В "header" Вы записали следующее: ${this.header} <br />`);
                document.write(`В "body" Вы записали следующее: ${this.body} <br />`);
                document.write(`В "footer" Вы записали следующее: ${this.footer} <br />`);
                document.write(`В "appData" Вы записали следующее: ${this.appData} <br />`);
                document.write(`В "appHeader" Вы записали следующее: ${this.appHeader} <br />`);
                document.write(`В "appBody" Вы записали следующее: ${this.appBody} <br />`);
                document.write(`В "appFooter" Вы записали следующее: ${this.appFooter} <br />`);
            }
        }
        //вызываем методы.
        myDocument.ask()
        myDocument.show()
    </script>
</body>
</html>